Bug 176621 - xscreensavers tries to run non-existent hacks
xscreensavers tries to run non-existent hacks
Product: Fedora
Classification: Fedora
Component: xscreensaver (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Depends On:
Blocks: FC4Update
  Show dependency treegraph
Reported: 2005-12-27 14:44 EST by Vlado Potisk
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: FC6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-01-22 07:16:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
A patch to fix this bug backported from 4.24 (3.00 KB, patch)
2006-06-05 18:50 EDT, Vlado Potisk
no flags Details | Diff

  None (edit)
Description Vlado Potisk 2005-12-27 14:44:45 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686 (x86_64); en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
I have installed xscreensaver-extras, but not the gl-extras. The xscreensaver in the random mode tries to start its graphical programs (hacks) which are mentioned in the config file but which are not installed.

These not installed programs are not listed in the xscreensaver-demo.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. install xscreensaver-extras, but not xscreensaver-gl-extras
2. configure random screensaver (short timeouts recommended)
3. wait until one of the not installed programs is randomly chosen.

Actual Results:  error message similar to this appears:
xscreensaver: child pid PID (PROGRAM-NAME) exited abnormally
where PROGRAM-NAME is a name of a program that does not exist

Expected Results:  Only installed hacks should be launched

Additional info:

Bug 164761 might be related to this.
Comment 1 Jamie Zawinski 2005-12-27 16:03:00 EST
That was fixed in 4.24.
Comment 2 Vlado Potisk 2006-06-03 05:35:03 EDT
The fix is available upstream, so it looks like a very simple case, but after
five months waiting there is still no update available. Could you please take a
look at this bug ? Thank you.
Comment 3 Ray Strode [halfline] 2006-06-05 13:14:15 EDT
Hi Vlado,

Mamoru Tasaka has packaged xscreensaver 4.24 has part of his work in migrating
it to Fedora Extras (See bug 189268).

We might be able to use his packages.  Otherwise, we might just have to backport
the fix.

If you could try Mamoru's packages or get the relevant bits from the upstream
tarball (as a patch) then we can push an update faster.

Either way adding to FC4 Update tracker, so we don't forget about it.
Comment 4 Vlado Potisk 2006-06-05 18:50:32 EDT
Created attachment 130553 [details]
A patch to fix this bug backported from 4.24

This patch works for me
Comment 5 Christian Iseli 2007-01-22 05:35:16 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Comment 6 Vlado Potisk 2007-01-22 07:16:51 EST
FC6 is fine.

Anyway I feel dissappointed that providing a patch that you asked for (comments
#3 and #4) was not sufficient to have this bug corrected.

Note You need to log in before you can comment on or make changes to this bug.